/** CSS Reset */
*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
body{
    background-color: var(--shady-white-color);
}
html{
    scroll-behavior: smooth;
}

/** Css Variables */
:root{
    --primary-color: #dded4d;                               /* Color Palette for this website #E5F64B*/
    --black-color: #101010;
    --green-color: #57BE6C;
    --shady-white-color: #FAFCFE;
    --white-color: #FFFFFF;
    --section-font: 'Acme', sans-serif;
    --primary-font: 'PT Serif', serif;
    --gradient: linear-gradient(138deg, #FFDD00 0%,#FBB034 100%);
}

/** Navigation bar */
.navbar{
    display: flex;
    align-items: center;
    position: sticky;
    background: transparent;
    top: 0px;
    z-index: 2;
    height: 54px;
}
.navbar::after{
    background-color: rgba(128, 128, 128, 0.391);
    z-index: 2;
    top: 2px;
}
.d-logo{
    background: transparent;
}
#logo{
    font-family: 'Caveat', cursive;
    background: transparent;
    display: inline-block;
    font-size: 2.25rem;
    margin-left: 50px;
}
#logo:hover{
    text-shadow:-1px -1px 3px red, 2px 3px 4px cyan;
    transform: scale(1.1);
}
.navbar ul{
    display: flex;
    background: transparent;
    z-index: 2;
    margin: auto;
}
.navbar ul li{
    display: flex;
    align-items: center;
    justify-content: center;
    background: transparent;
    list-style: none;
    font-size: 1.20rem;
    margin-right: 50px;
}
.navbar ul li a{
    background: transparent;
    position: relative;
    text-decoration: none;
    font-family: 'PT Serif', serif;
    color: black;
}
.navbar ul li a::after{
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1.5px;
    background-color: black;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform .5s;
}
.navbar ul li a:hover::after{
    transform: scale(1);
    transform-origin: left;
}

/** Navbar Login Button */
#ndb{
    background: transparent;
    margin-right: 50px;
}
.navbar button{
    display: inline-block;
    position: relative;
    background: transparent;
	text-decoration:none;
    font-family: 'PT Serif', serif;
	font-size:14px;
    font-weight: 500;
    border-radius: 23px;
    color: black;
    border: 2px solid black;
    overflow: hidden;
	cursor:pointer;
    user-select: none;
    width: 82px;
    height: 32px;
}
/* .navbar button  */
.navbar button:hover {
    background-color: black;
    color: white;
    transition: all 0.5s ease 0s;
}



/** Home */
.home{
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    background-color: var(--primary-color);
    border-radius: 23px;
    height: 583px;
    margin: 17px 45px;
    /* box-shadow: 0px 0px 10px 2px #c4c8a6 */
    box-shadow:
      0px 0px 2.5px -5px rgba(0, 0, 0, 0.019),
      0px 0px 5.7px -5px rgba(0, 0, 0, 0.032),
      0px 0px 10.2px -5px rgba(0, 0, 0, 0.044),
      0px 0px 17.3px -5px rgba(0, 0, 0, 0.058),
      0px 0px 30.5px -5px rgba(0, 0, 0, 0.075),
      0px 0px 83px -5px rgba(0, 0, 0, 0.11);
}

#title{
    display: inline-block;
    position: absolute;
    background-color: transparent;
    font-family: 'Open Sans', sans-serif;
    font-size: 3.3rem;
    font-weight: 900;
    line-height: 64px;
    z-index: 2;
    margin-top: -200px;
    margin-right: 800px;
}
#h-content{
    display: inline-block;
    position: absolute;
    background-color: transparent;
    font-family: 'Open Sans', sans-serif;
    font-size: 1.1rem;
    z-index: 2;
    /* margin-right: 787px; */
    margin-left: -788px;
    margin-top: 32px;
    width: 450px;
}
#himage1{
    display: inline-block;
    position: absolute;
    background-color: transparent;
    z-index: 1;
    transform: rotate(10deg);
    animation: 1s ease-in 1s 1 slideInFromLeft;
    user-select: none;
    /* margin-left: 355px; */
    width: 778px;
    margin-right: -355px;                            /** Important tip: Always adjust margin in opposite direction with negative values to messy marginal space*/
}
@keyframes slideInFromLeft {
    0% {
      transform: translateX(-25%);
    }
    100% {
      transform: translateX(0);
    }
  }

#himage2{
    display: inline-block;
    position: absolute;
    background-color: transparent;
    z-index: 1;
    animation: 1s ease-in 1s 1 slideInFromRight;
    user-select: none;
    width: 538px;
    margin-right: -965px;
    margin-top: 42px;
}
@keyframes slideInFromRight {
    0% {
      transform: translateX(80%);
    }
    100% {
      transform: translateX(0);
    }
  }

#h-button {
    display: inline-block;
    position: absolute;
    background: transparent;
    font-size: 17px;
    font-family: 'PT Serif', serif;
    background-color: #0f0f0f;
    border-radius: 26px;
    color: #ffffff;
    z-index: 2;
    cursor: pointer;
    text-decoration: none;
    text-shadow: 0px 1px 0px #788a32;
    padding: 16px 28px;
    margin-top: 96px;
    margin-left: -620px;
}
#h-button:hover {
	/* background-color:#3d413b; */
    transform: scale(1.01);
    box-shadow: 0px 3px 12px 1px rgb(68, 59, 30);
}

#scrolldown{
    display: inline-block;
    position: absolute;
    background: transparent;
    z-index: 2;
    margin-top: 460px;
    margin-left: -1130px;
}



/** Section */
.section{
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: var(--section-font);
    font-size: 2.2rem;
    letter-spacing: 1.4px;
    height: 90px;
    margin-top: 40px;
}

#divider{
    position: absolute;
    background: #f39200;
    border-radius: 50px;
    height: 4px;
    width: 238px;
    margin-left: 627px;
    margin-top: -13px;
}
#divider2{
    position: absolute;
    background: #f39200;
    border-radius: 50px;
    width: 175px;
    height: 4px;
    margin-left: 662px;
    margin-top: -12px;
}

/** Card Containers */
.container{
    display: flex;
    align-items: center;
    height: 400px;
    margin-top: 16px;
}
.cards{
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    background: #fff;
    border: 2px solid #fff;
    border-radius: 35px;
    box-shadow: 0px 10px 30px 0px rgb(0 0 0 / 5%);
    scroll-snap-align: center;
    transition: all .25s ease;
    min-width: 260px;
    padding: 15px;
    width: 260px;
    height: 415px;
    margin: 59px;
    margin-top: 90px;
}
.c-image{
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    background: transparent;
    z-index: 1;
    transition: all 1s ease-out 2.5s;
    max-width: 100%;
    width: 79%;
    height: 189px;
    margin-top: -163px;
    user-select: none;
}
#k20p-image{
    width: 52%;
    height: 166px;
    margin-top: -176px;
}
.c-bg {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    border-radius: 35px;
    transform: translate(10px,38px);
    filter: blur(3px);
    opacity: .8;
    user-select: none;
    width: 211px;
    height: 196px;
    margin-left: -20px;
    margin-top: -266px;
}
.c-title{
    display: block;
    position: absolute;
    background: transparent;
    font-family: 'Open Sans', sans-serif;
    font-size: 1.1rem;
    opacity: .6;
    max-width: 100%;
    width: 100%;
    padding: 0px 24px;
    margin-bottom: -63px;
}
.c-content{
    display: block;
    position: absolute;
    background: transparent;
    font-family: 'PT Serif', serif;
    font-size: 0.74rem;
    opacity: .5;
    max-width: 100%;
    padding: 0px 24px;
    width: 100%;
    margin-bottom: -132px;
}
.c-price{
    position: absolute;
    background: transparent;
    font-family: 'Open Sans', sans-serif;
    font-size: 1.2rem;
    font-weight: bold;
    text-align: center;
    opacity: .7;
    max-width: 100%;
    width: 100%;
    margin-bottom: -217px;
}
.c-button{
    position: absolute;
    color: #fff;
    background: linear-gradient(138deg, #FFDD00 0%,#FBB034 100%);
    border-radius: 20px;
    border: 0px;
	cursor:pointer;
    user-select: none;
    font-size: 1rem;
    font-weight: bold;
    padding: 15px;
    width: 83%;
    margin-bottom: -319px;

}
.c-button:hover{
    background: linear-gradient(138deg, #fdc527 0%,#fea01a 100%);
}


/** Footer aka About us */
.about{
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    background-color: #000000;
    color: var(--shady-white-color);
    opacity: .9;
    height: 400px;
    margin-top: 50px;
}
#a-title{
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    background: transparent;
    font-size: 2.8rem;
    font-family: var(--primary-font);
    margin-top: -250px;
    margin-right: -216px;
}
.a-social{
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    background: transparent;
    width: 21%;
    height: 19%;
    margin-top: -102px;
    margin-right: -287px;
}
.a-bg{
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    background: transparent;
    border: 2px solid var(--shady-white-color);
    border-radius: 100px;
    opacity: .9;
	cursor:pointer;
    user-select: none;
    width: 14%;
    height: 44%;
    margin: 0px 15px 0px 13px;
}
.a-bg:hover{
	background-color:#555353;
    transform: scale(1.1);
    box-shadow: 0px 7px 14px 0px rgb(93, 93, 93);
}
.a-icon{
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    background: transparent;
    user-select: none;
    width: 41%;
    height: 56%;
}
#a-content{
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    background: transparent;
    width: 500px;
    margin-right: -523px;
    margin-top: 38px;
}
#a-button{
    display: inline-block;
    position: absolute;
    background: transparent;
    text-decoration: none;
    font-family: 'pt serif', serif;
    font-size: 14px;
    font-weight: 500;
    color: var(--shady-white-color);
    background-color: black;
    border: 2px solid var(--shady-white-color);
    border-radius: 23px;
    cursor: pointer;
    overflow: hidden;
    user-select: none;
    width: 135px;
    height: 40px;
    margin-bottom: -215px;
    margin-right: -146px;
}
#a-button:hover {
    background-color:#141313;
    transform: scale(1.02);
    box-shadow: 0px 7px 18px 2px rgb(93, 93, 93);

}
#a-button a{
    text-decoration:none;
    background: none;
    color: var(--shady-white-color);
}
.a-line{
    position: absolute;
    border-left: 1px solid rgb(142, 142, 142);
    opacity: .9;
    height: 350px;
    margin-left: -150px;
}
#a-logo{
    position: absolute;
    transition: all 1s ease-in-out 4s;
    user-select: none;
    width: 399px;
    height: 257px;
    margin-left: -772px;
    margin-top: 17px;
}
.a-box{
    position: absolute;
    border: 1px solid var(--shady-white-color);
    background-color: black;
    transition: all 0.9s ease-out 4s;
    user-select: none;
    width: 27%;
    height: 71%;
    margin-left: -824px;
    margin-top: 19px;
}
.copyright{
    font-family: var(--primary-font);
    opacity: .9;
    text-align: center;
    background-color: black;
    color: var(--shady-white-color);
}
